<?php
require_once('config.inc'); 
require_once(CORE_PATH . 'langHeader.inc'); 
require_once('configDashboards.inc'); 
require_once(CORE_PATH . 'common.inc'); 
require_once(CORE_PATH . 'dateTime.inc'); 
require_once(LIB_PATH . 'Page.inc'); 
require_once(LIB_PATH . 'Dashboard.inc'); 
$x_g = Array(); 
$x_1->getSessionVariable('lastDisplayed', &$x_g); 
$x_g = unserialize($x_g); 
$x_g['dbName'] = htmlspecialchars($_POST['x_h']); 
$x_g['dbLayout'] = htmlspecialchars($_POST['x_i']); 
$x_g['pageType'] = htmlspecialchars($_POST['x_j']); 
$x_g['periodStart'] = intval($_POST['x_k']); 
$x_g['periodEnd'] = intval($_POST['x_l']); 
$x_g['userId'] = intval($_POST['x_m']); 
$x_g['tabBar'] = (intval($_GET['tabBar']) == 1 ? 1 : 0); 
$x_g['gotoElement'] = intval($_POST['x_n']); 
$x_g['protoId'] = intval($_POST['x_o']); 
$x_g['errorType'] = intval($_POST['x_p']); 
$x_q = intval($_POST['x_r'])*60; 
$x_1->getCsrf(&$x_s); 
$x_t = $_POST['x_u']; 
if ('' == $x_t && $x_t != $x_s) { 
$x_v = new x_w(); 
$x_v->x_x('window.top.location = "index.php";'); 
$x_v->x_y(); 
} 
$x_1->getStarInfo(&$x_4); 
if (0 == $x_4['right'] 
&& $x_g['dbName'] != 'accStats' 
&& $x_g['dbName'] != 'prefs' 
&& $x_g['dbName'] != 'dialup' 
&& $x_g['dbName'] != 'error') { 
$x_g['dbName'] = 'accStats'; 
$x_v = new x_w(); 
$x_v->x_x('window.top.location = "index.php";'); 
$x_v->x_y(); 
} else { 
$x_1->setSessionVariable('timezoneOffset', $x_q); 
if ($x_4['dbStatus'] != 1 && 
in_array($x_g['dbName'], $x_7)) { 
$x_g['dbName'] = 'error'; 
$x_g['dbLayout'] = 'L6'; 
} 
$x_v = new x_w(); 
$x_v->x_b = Array(SCRIPT_PATH . 'prototype.js', SCRIPT_PATH . 'contentLoader.js'); 
$x_z = new x_10($x_g['dbLayout'], ''); 
$x_11 = x_12($x_g['periodStart'], $x_g['periodEnd']); 
$x_13 = x_14($x_11); 
$x_v->x_x('var x_15 = "' . $x_g['dbName'] . '";' . "\n" 
. 'var x_16 = ' . count($x_9[$x_g['dbName']]) . ";\n" 
. 'var x_m = ' . $x_g['userId'] . ";\n" 
. 'var x_k = ' . $x_g['periodStart'] . ";\n" 
. 'var x_l = ' . $x_g['periodEnd'] . ";\n" 
. 'var x_17 = "' . $x_g['dbLayout'] . '"' . "\n" 
. 'var x_j = "' . $x_g['pageType'] . '"' . "\n" 
. 'var x_18 = "' . $x_e[$x_g['dbName']]['name'] . '";' . "\n" 
. 'var x_19 = "' . $x_e[$x_g['dbName']]['icon'] . '";' . "\n" 
. 'var x_1a = ' . $x_g['tabBar'] . ";\n" 
. 'var x_u = \'' . $x_t . '\';' . "\n" 
. 'var x_1b = "' . $x_11['x_1c'] . '";' . "\n" 
. 'var x_1d = "' . $x_11['x_1e'] . '";' . "\n" 
. 'var x_1f = "' . $x_11['x_1f'] . '";' . "\n" 
. 'var x_1g = 0;' . "\n" 
. 'var x_1h = "' . urlencode(serialize($x_g)) . '";' . "\n" 
. 'var x_n = "' . $x_g['gotoElement'] . '";' . "\n" 
. 'var x_o = "' . $x_g['protoId'] . '";' . "\n" 
. 'var x_1i = ' . $x_13 . ';' . "\n" 
. 'var x_p = ' . (isset($x_g['errorType']) ? $x_g['errorType'] : 0) . ';' . "\n" 
. 'var x_1j = "' . x_1k($x_q) . '";' . "\n" 
); 
reset($x_9[$x_g['dbName']]); 
$x_1l = Array(); 
foreach ($x_9[$x_g['dbName']] as $x_1m => $x_1n) { 
if (!empty($x_1n)) { 
$x_1l[] = $x_z->kp_getImage(IMAGE_PATH . '/not_loaded.gif', 10, 11, '', 'id="stepImg_' . $x_1m . '"') 
. ' ' . $x_1n . '<br>'; 
} 
} 
$x_v->x_1o('<div id="x_1p">' . implode('', $x_1l) . '</div>'); 
$x_v->x_1o('<script>window.top.document.getElementById("x_1p").innerHTML = document.getElementById("x_1p").innerHTML</script>'); 
$x_v->x_x('x_1q();'); 
if (1 == $x_g['tabBar']) { 
$x_v->x_1o( '<div id="x_1r">' . 
$x_z->x_1s($x_g['dbName']) . 
'</div>'); 
} 
$x_v->x_x('x_1t("' . $x_g['dbName'] . '", ' . count($x_9[$x_g['dbName']]) . ');' . "\n"); 
$x_v->x_1o($x_z->x_1u()); 
$x_v->x_1o('<div id="x_1v"></div>'); 
header("content-type: text/html"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Mon, 10 Jan 1970 01:00:00 GMT"); 
$x_v->x_y(); 
} 
?>
